<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreLiberacionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'oficio' => 'required|numeric|min:0001|max:9999'
        ];
    }

    public function messages(){
        return [
          'oficio.required' => 'Debes ingresar el número de oficio.',
          'oficio.min' => 'El número debe ser mínimo 0001.',
          'oficio.max' => 'El número debe ser máximo 9999.'
        ];

    }
}
